[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ClickOnSelChange

Allows selection changes to generate a Click event.

## Declaration

Source position: stdctrls.pp line 637

`public property TCustomListBox.ClickOnSelChange : Boolean read FClickOnSelChange write FClickOnSelChange default True;`

## Description

Delphi generates an OnClick event when the selection changes. The LCL adds a more specific OnSelectionChange event.

Set ClickOnSelChange to False when selection changes should be handled by the OnSelectionChange event, and should not generate an OnClick event. Setting ClickOnSelChange to True gives the Delphi compatible behavior. The default value for the property is True.

## See also

TCustomListBox.OnClick |  | Notification handler for mouse clicks.
TCustomListBox.OnSelectionChange |  | Handler invoked when an item is selected in the control.